package de.thm.arsnova.connector.web;

import java.io.IOException;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.stereotype.Component;
import org.springframework.web.filter.OncePerRequestFilter;

@Component
public class CorsFilter extends OncePerRequestFilter {

	@Override
	protected void doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)
			throws ServletException, IOException {	
		response.addHeader("Access-Control-Allow-Credentials", "true");
		response.addHeader("Access-Control-Allow-Methods", "GET, OPTIONS, POST");
		response.addHeader("Access-Control-Allow-Headers", "Content-Type, Authorization,"
				+ " X-Requested-With, X-Auth-Token");
		
		if (request.getHeader("origin") != null) {
			response.addHeader("Access-Control-Allow-Origin", request.getHeader("origin"));
		}
		
		filterChain.doFilter(request, response);
	}
}
